Bug 13097 - Avoid race conditions in unit tests
Avoid race conditions in unit tests
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: CTDB
4.6.7
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-10-25 07:51 UTC by Amitay Isaacs
Modified: 2017-11-03 10:06 UTC (History)
2 users (show)

See Also:


Attachments
Patch for 4.7 (9.49 KB, patch)
2017-10-26 23:27 UTC, Martin Schwenke
amitay: review+
Details
Patch for 4.6 (8.38 KB, patch)
2017-10-26 23:28 UTC, Martin Schwenke
amitay: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Amitay Isaacs 2017-10-25 07:51:47 UTC
Always confirm that background tasks have started in unit tests under tool/ and eventd/.
Comment 1 Martin Schwenke 2017-10-26 23:27:34 UTC
Created attachment 13730 [details]
Patch for 4.7
Comment 2 Martin Schwenke 2017-10-26 23:28:06 UTC
Created attachment 13731 [details]
Patch for 4.6
Comment 3 Amitay Isaacs 2017-10-27 02:10:08 UTC
Hi Karolin,

This is ready for v4-6 and v4-7.
Comment 4 Karolin Seeger 2017-11-01 09:42:12 UTC
(In reply to Amitay Isaacs from comment #3)
Pushed to autobuild-v4-{7,6}-test.
Comment 5 Karolin Seeger 2017-11-03 10:06:47 UTC
Pushed to both branches.
Closing out bug report.

Thanks!